XCB 1.12

Data Structures | Macros | Typedefs | Functions | Variables
XCB DRI3 API

DRI3 XCB Protocol Implementation. More...

## Data Structures
struct | xcb_dri3_query_version_cookie_t
| xcb_dri3_query_version_cookie_t More...
struct | xcb_dri3_query_version_request_t
| xcb_dri3_query_version_request_t More...
struct | xcb_dri3_query_version_reply_t
| xcb_dri3_query_version_reply_t More...
struct | xcb_dri3_open_cookie_t
| xcb_dri3_open_cookie_t More...
struct | xcb_dri3_open_request_t
| xcb_dri3_open_request_t More...
struct | xcb_dri3_open_reply_t
| xcb_dri3_open_reply_t More...
struct | xcb_dri3_pixmap_from_buffer_request_t
| xcb_dri3_pixmap_from_buffer_request_t More...
struct | xcb_dri3_buffer_from_pixmap_cookie_t
| xcb_dri3_buffer_from_pixmap_cookie_t More...
struct | xcb_dri3_buffer_from_pixmap_request_t
| xcb_dri3_buffer_from_pixmap_request_t More...
struct | xcb_dri3_buffer_from_pixmap_reply_t
| xcb_dri3_buffer_from_pixmap_reply_t More...
struct | xcb_dri3_fence_from_fd_request_t
| xcb_dri3_fence_from_fd_request_t More...
struct | xcb_dri3_fd_from_fence_cookie_t
| xcb_dri3_fd_from_fence_cookie_t More...
struct | xcb_dri3_fd_from_fence_request_t
| xcb_dri3_fd_from_fence_request_t More...
struct | xcb_dri3_fd_from_fence_reply_t
| xcb_dri3_fd_from_fence_reply_t More...

## Macros
#define | XCB_DRI3_MAJOR_VERSION 1
#define | XCB_DRI3_MINOR_VERSION 0
#define | XCB_DRI3_QUERY_VERSION 0
#define | XCB_DRI3_OPEN 1
#define | XCB_DRI3_PIXMAP_FROM_BUFFER 2
#define | XCB_DRI3_BUFFER_FROM_PIXMAP 3
#define | XCB_DRI3_FENCE_FROM_FD 4
#define | XCB_DRI3_FD_FROM_FENCE 5

## Typedefs
typedef struct xcb_dri3_query_version_cookie_t | xcb_dri3_query_version_cookie_t
| xcb_dri3_query_version_cookie_t
typedef struct xcb_dri3_query_version_request_t | xcb_dri3_query_version_request_t
| xcb_dri3_query_version_request_t
typedef struct xcb_dri3_query_version_reply_t | xcb_dri3_query_version_reply_t
| xcb_dri3_query_version_reply_t
typedef struct xcb_dri3_open_cookie_t | xcb_dri3_open_cookie_t
| xcb_dri3_open_cookie_t
typedef struct xcb_dri3_open_request_t | xcb_dri3_open_request_t
| xcb_dri3_open_request_t
typedef struct xcb_dri3_open_reply_t | xcb_dri3_open_reply_t
| xcb_dri3_open_reply_t
typedef struct xcb_dri3_pixmap_from_buffer_request_t | xcb_dri3_pixmap_from_buffer_request_t
| xcb_dri3_pixmap_from_buffer_request_t
typedef struct xcb_dri3_buffer_from_pixmap_cookie_t | xcb_dri3_buffer_from_pixmap_cookie_t
| xcb_dri3_buffer_from_pixmap_cookie_t
typedef struct xcb_dri3_buffer_from_pixmap_request_t | xcb_dri3_buffer_from_pixmap_request_t
| xcb_dri3_buffer_from_pixmap_request_t
typedef struct xcb_dri3_buffer_from_pixmap_reply_t | xcb_dri3_buffer_from_pixmap_reply_t
| xcb_dri3_buffer_from_pixmap_reply_t
typedef struct xcb_dri3_fence_from_fd_request_t | xcb_dri3_fence_from_fd_request_t
| xcb_dri3_fence_from_fd_request_t
typedef struct xcb_dri3_fd_from_fence_cookie_t | xcb_dri3_fd_from_fence_cookie_t
| xcb_dri3_fd_from_fence_cookie_t
typedef struct xcb_dri3_fd_from_fence_request_t | xcb_dri3_fd_from_fence_request_t
| xcb_dri3_fd_from_fence_request_t
typedef struct xcb_dri3_fd_from_fence_reply_t | xcb_dri3_fd_from_fence_reply_t
| xcb_dri3_fd_from_fence_reply_t

## Functions
xcb_dri3_query_version_cookie_t | xcb_dri3_query_version (xcb_connection_t *c, uint32_t major_version, uint32_t minor_version)
xcb_dri3_query_version_cookie_t | xcb_dri3_query_version_unchecked (xcb_connection_t *c, uint32_t major_version, uint32_t minor_version)
xcb_dri3_query_version_reply_t * | xcb_dri3_query_version_reply (xcb_connection_t *c, xcb_dri3_query_version_cookie_t cookie, xcb_generic_error_t **e)
xcb_dri3_open_cookie_t | xcb_dri3_open (xcb_connection_t *c, xcb_drawable_t drawable, uint32_t provider)
xcb_dri3_open_cookie_t | xcb_dri3_open_unchecked (xcb_connection_t *c, xcb_drawable_t drawable, uint32_t provider)
xcb_dri3_open_reply_t * | xcb_dri3_open_reply (xcb_connection_t *c, xcb_dri3_open_cookie_t cookie, xcb_generic_error_t **e)
int * | xcb_dri3_open_reply_fds (xcb_connection_t *c, xcb_dri3_open_reply_t *reply)
xcb_void_cookie_t | xcb_dri3_pixmap_from_buffer_checked (xcb_connection_t *c, xcb_pixmap_t pixmap, xcb_drawable_t drawable, uint32_t size, uint16_t width, uint16_t height, uint16_t stride, uint8_t depth, uint8_t bpp, int32_t pixmap_fd)
xcb_void_cookie_t | xcb_dri3_pixmap_from_buffer (xcb_connection_t *c, xcb_pixmap_t pixmap, xcb_drawable_t drawable, uint32_t size, uint16_t width, uint16_t height, uint16_t stride, uint8_t depth, uint8_t bpp, int32_t pixmap_fd)
xcb_dri3_buffer_from_pixmap_cookie_t | xcb_dri3_buffer_from_pixmap (xcb_connection_t *c, xcb_pixmap_t pixmap)
xcb_dri3_buffer_from_pixmap_cookie_t | xcb_dri3_buffer_from_pixmap_unchecked (xcb_connection_t *c, xcb_pixmap_t pixmap)
xcb_dri3_buffer_from_pixmap_reply_t * | xcb_dri3_buffer_from_pixmap_reply (xcb_connection_t *c, xcb_dri3_buffer_from_pixmap_cookie_t cookie, xcb_generic_error_t **e)
int * | xcb_dri3_buffer_from_pixmap_reply_fds (xcb_connection_t *c, xcb_dri3_buffer_from_pixmap_reply_t *reply)
xcb_void_cookie_t | xcb_dri3_fence_from_fd_checked (xcb_connection_t *c, xcb_drawable_t drawable, uint32_t fence, uint8_t initially_triggered, int32_t fence_fd)
xcb_void_cookie_t | xcb_dri3_fence_from_fd (xcb_connection_t *c, xcb_drawable_t drawable, uint32_t fence, uint8_t initially_triggered, int32_t fence_fd)
xcb_dri3_fd_from_fence_cookie_t | xcb_dri3_fd_from_fence (xcb_connection_t *c, xcb_drawable_t drawable, uint32_t fence)
xcb_dri3_fd_from_fence_cookie_t | xcb_dri3_fd_from_fence_unchecked (xcb_connection_t *c, xcb_drawable_t drawable, uint32_t fence)
xcb_dri3_fd_from_fence_reply_t * | xcb_dri3_fd_from_fence_reply (xcb_connection_t *c, xcb_dri3_fd_from_fence_cookie_t cookie, xcb_generic_error_t **e)
int * | xcb_dri3_fd_from_fence_reply_fds (xcb_connection_t *c, xcb_dri3_fd_from_fence_reply_t *reply)

## Variables
xcb_extension_t | xcb_dri3_id

## Detailed Description

DRI3 XCB Protocol Implementation.

## Macro Definition Documentation

## ◆ XCB_DRI3_BUFFER_FROM_PIXMAP

#define XCB_DRI3_BUFFER_FROM_PIXMAP 3

Opcode for xcb_dri3_buffer_from_pixmap.

## ◆ XCB_DRI3_FD_FROM_FENCE

#define XCB_DRI3_FD_FROM_FENCE 5

Opcode for xcb_dri3_fd_from_fence.

## ◆ XCB_DRI3_FENCE_FROM_FD

#define XCB_DRI3_FENCE_FROM_FD 4

Opcode for xcb_dri3_fence_from_fd.

## ◆ XCB_DRI3_OPEN

#define XCB_DRI3_OPEN 1

Opcode for xcb_dri3_open.

## ◆ XCB_DRI3_PIXMAP_FROM_BUFFER

#define XCB_DRI3_PIXMAP_FROM_BUFFER 2

Opcode for xcb_dri3_pixmap_from_buffer.

## ◆ XCB_DRI3_QUERY_VERSION

#define XCB_DRI3_QUERY_VERSION 0

Opcode for xcb_dri3_query_version.

## Function Documentation

## ◆ xcb_dri3_buffer_from_pixmap()

xcb_dri3_buffer_from_pixmap_cookie_t xcb_dri3_buffer_from_pixmap | ( | xcb_connection_t * | c,
|  | xcb_pixmap_t | pixmap
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

## ◆ xcb_dri3_buffer_from_pixmap_reply()

xcb_dri3_buffer_from_pixmap_reply_t* xcb_dri3_buffer_from_pixmap_reply | ( | xcb_connection_t * | c,
|  | xcb_dri3_buffer_from_pixmap_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_dri3_buffer_from_pixmap_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_dri3_buffer_from_pixmap_reply_fds()

int* xcb_dri3_buffer_from_pixmap_reply_fds | ( | xcb_connection_t * | c,
|  | xcb_dri3_buffer_from_pixmap_reply_t * | reply
| ) |  |

Return the reply fds

Parameters

  c | The connection
  reply | The reply

Returns the array of reply fds of the request asked by

The returned value must be freed by the caller using free().

## ◆ xcb_dri3_buffer_from_pixmap_unchecked()

xcb_dri3_buffer_from_pixmap_cookie_t xcb_dri3_buffer_from_pixmap_unchecked | ( | xcb_connection_t * | c,
|  | xcb_pixmap_t | pixmap
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

## ◆ xcb_dri3_fd_from_fence()

xcb_dri3_fd_from_fence_cookie_t xcb_dri3_fd_from_fence | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | uint32_t | fence
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

## ◆ xcb_dri3_fd_from_fence_reply()

xcb_dri3_fd_from_fence_reply_t* xcb_dri3_fd_from_fence_reply | ( | xcb_connection_t * | c,
|  | xcb_dri3_fd_from_fence_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_dri3_fd_from_fence_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_dri3_fd_from_fence_reply_fds()

int* xcb_dri3_fd_from_fence_reply_fds | ( | xcb_connection_t * | c,
|  | xcb_dri3_fd_from_fence_reply_t * | reply
| ) |  |

Return the reply fds

Parameters

  c | The connection
  reply | The reply

Returns the array of reply fds of the request asked by

The returned value must be freed by the caller using free().

## ◆ xcb_dri3_fd_from_fence_unchecked()

xcb_dri3_fd_from_fence_cookie_t xcb_dri3_fd_from_fence_unchecked | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | uint32_t | fence
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

## ◆ xcb_dri3_fence_from_fd()

xcb_void_cookie_t xcb_dri3_fence_from_fd | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | uint32_t | fence,
|  | uint8_t | initially_triggered,
|  | int32_t | fence_fd
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

## ◆ xcb_dri3_fence_from_fd_checked()

xcb_void_cookie_t xcb_dri3_fence_from_fd_checked | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | uint32_t | fence,
|  | uint8_t | initially_triggered,
|  | int32_t | fence_fd
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

## ◆ xcb_dri3_open()

xcb_dri3_open_cookie_t xcb_dri3_open | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | uint32_t | provider
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

## ◆ xcb_dri3_open_reply()

xcb_dri3_open_reply_t* xcb_dri3_open_reply | ( | xcb_connection_t * | c,
|  | xcb_dri3_open_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_dri3_open_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_dri3_open_reply_fds()

int* xcb_dri3_open_reply_fds | ( | xcb_connection_t * | c,
|  | xcb_dri3_open_reply_t * | reply
| ) |  |

Return the reply fds

Parameters

  c | The connection
  reply | The reply

Returns the array of reply fds of the request asked by

The returned value must be freed by the caller using free().

## ◆ xcb_dri3_open_unchecked()

xcb_dri3_open_cookie_t xcb_dri3_open_unchecked | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | uint32_t | provider
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

## ◆ xcb_dri3_pixmap_from_buffer()

xcb_void_cookie_t xcb_dri3_pixmap_from_buffer | ( | xcb_connection_t * | c,
|  | xcb_pixmap_t | pixmap,
|  | xcb_drawable_t | drawable,
|  | uint32_t | size,
|  | uint16_t | width,
|  | uint16_t | height,
|  | uint16_t | stride,
|  | uint8_t | depth,
|  | uint8_t | bpp,
|  | int32_t | pixmap_fd
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

## ◆ xcb_dri3_pixmap_from_buffer_checked()

xcb_void_cookie_t xcb_dri3_pixmap_from_buffer_checked | ( | xcb_connection_t * | c,
|  | xcb_pixmap_t | pixmap,
|  | xcb_drawable_t | drawable,
|  | uint32_t | size,
|  | uint16_t | width,
|  | uint16_t | height,
|  | uint16_t | stride,
|  | uint8_t | depth,
|  | uint8_t | bpp,
|  | int32_t | pixmap_fd
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

## ◆ xcb_dri3_query_version()

xcb_dri3_query_version_cookie_t xcb_dri3_query_version | ( | xcb_connection_t * | c,
|  | uint32_t | major_version,
|  | uint32_t | minor_version
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

## ◆ xcb_dri3_query_version_reply()

xcb_dri3_query_version_reply_t* xcb_dri3_query_version_reply | ( | xcb_connection_t * | c,
|  | xcb_dri3_query_version_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_dri3_query_version_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_dri3_query_version_unchecked()

xcb_dri3_query_version_cookie_t xcb_dri3_query_version_unchecked | ( | xcb_connection_t * | c,
|  | uint32_t | major_version,
|  | uint32_t | minor_version
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.